import pygame
import sys
#will want to change this to be my own, streamlined code.
def binary_search(arr, x):
    low = 0
    high = len(arr) - 1
    mid = 0
    while low <= high:
        mid = (high + low) // 2
        # If x is greater, ignore left half
        if arr[mid] < x:
            low = mid + 1
        # If x is smaller, ignore right half
        elif arr[mid] > x:
            high = mid - 1
    # means x is present at mid
        else:
            return mid
    # If we reach here, then the element was not present
    print("Element is not present in array")

'''
Ideas:
    - Funtion that handles PyGame events and other states.
    - Win state handler
'''

def coordinateVerifier(x, y, zonex1, zoney1, zonex2, zoney2, inclusive):
    if inclusive:
        if x >= zonex1 and x <= zonex2:
            if y >= zoney1 and y <= zoney2:
                return True
            else:
                return False
        else:
            return False
    elif not inclusive:
        if x > zonex1 and x < zonex2:
            if y > zoney1 and y < zoney2:
                return True
            else:
                return False
        else:
            return False
        
def pgevent():
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            quit()
        if event.type == pygame.KEYDOWN:
            return pygame.key.get_pressed()
        if event.type == pygame.MOUSEBUTTONDOWN:
            return pygame.mouse.get_pos()
        
def pygameSetup(width, height):
    window = pygame.display.set_mode((width, height))
    pygame.init()
    return window